org.apache.kylin.jdbc

## Class KylinPrepareImpl

- java.lang.Object
- - org.apache.kylin.jdbc.KylinPrepareImpl

All Implemented Interfaces:
  KylinPrepare

    public class KylinPrepareImpl
    extends Object
    implements KylinPrepare

Author:
  xduo

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.kylin.jdbc.KylinPrepare

`KylinPrepare.PrepareResult`

### Constructor Summary

Constructors
Constructor and Description
`KylinPrepareImpl()`

### Method Summary

Methods
`KylinPrepare.PrepareResult` `prepare(String sql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinPrepareImpl

    public KylinPrepareImpl()

### Method Detail

#### prepare

    public KylinPrepare.PrepareResult prepare(String sql)

Specified by:
  `prepare` in interface `KylinPrepare`